Bug 1420055 - Disabled cache for system repo in dnf
Summary: Disabled cache for system repo in dnf
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 16:42 UTC by Jaroslav Mracek
Modified: 2019-04-12 16:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-12 16:22:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Jaroslav Mracek 2017-02-07 16:42:45 UTC
Description of problem:
In dnf.base.py  def fill_sack() was disabled system repo cache  (self._sack.load_system_repo(build_cache=False)) to prevent problems between rpmDB and @System.solv cache. Problems appeared on system with specific file systems. 

There is an issue on libsolv that provides additional information: https://github.com/openSUSE/libsolv/issues/175

To enable cache it has to be refactored creating of checksum between those two files to ensure that the content is identical or not.

Version-Release number of selected component (if applicable):
dnf-2.0

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
No cache for system repo

Expected results:
Cache created if it will have positive impact on system performance. 

Additional info:

Comment 1 Fedora End Of Life 2017-02-28 11:12:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Fedora End Of Life 2018-05-03 08:04:07 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Jan Kurik 2018-08-14 10:20:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Jaroslav Mracek 2019-04-12 16:22:38 UTC
Lets close it as a not a bug


Note You need to log in before you can comment on or make changes to this bug.